classification
Title: 'python -U' breaks eval/exec
Type: Stage:
Components: None Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: lemburg Nosy List: gvanrossum, lemburg, mwh, nobody, tim.peters
Priority: low Keywords:

Created on 2000-06-16 23:33 by mwh, last changed 2001-11-18 01:10 by nobody. This issue is now closed.

Messages (4)
msg1 - (view) Author: Michael Hudson (mwh) (Python committer) Date: 2000-06-16 23:33
Freshly built python:

[mwh21@atrus build]$ PYTHONSTARTUP= ./python -U   
'import site' failed; use -v for traceback
Python 1.6a2 (#1, Jun 17 2000, 00:21:58)  [GCC 2.95.1 19990816/Linux (release)] on linux2
Copyright 1991-1995 Stichting Mathematisch Centrum, Amsterdam
Copyright 1995-2000 Corporation for National Research Initiatives (CNRI)
>>> eval("1")
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
TypeError: eval() argument 1 must be string or code object

(this is also why the import site fails).

exec is also broken.
msg2 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2000-06-26 19:19
eval and exec need to support Unicode objects.
This may be hard, and since -U is mostly experimental, I've given it a low priority.
msg3 - (view) Author: Tim Peters (tim.peters) * (Python committer) Date: 2000-06-29 06:38
Copied to Jitterbug on python.org, where it's bug 375.  Closed here.
msg4 - (view) Author: Nobody/Anonymous (nobody) Date: 2001-11-18 01:10
Logged In: NO 

stjfsdgjvvnmbvvvvvv
History
Date User Action Args
2000-06-16 23:33:53mwhcreate